Skip to main content
GET
/
v1
/
grants
/
{id}
Get grant by ID
curl --request GET \
  --url https://grantex-auth-dd4mtrt2gq-uc.a.run.app/v1/grants/{id} \
  --header 'Authorization: Bearer <token>'
{
  "grantId": "<string>",
  "agentId": "<string>",
  "principalId": "<string>",
  "developerId": "<string>",
  "scopes": [
    "<string>"
  ],
  "status": "active",
  "issuedAt": "2023-11-07T05:31:56Z",
  "expiresAt": "2023-11-07T05:31:56Z",
  "revokedAt": "2023-11-07T05:31:56Z",
  "parentGrantId": "<string>",
  "delegationDepth": 123
}

Authorizations

Authorization
string
header
required

Developer API key

Path Parameters

id
string
required

Grant ID

Response

Grant details

grantId
string
agentId
string
principalId
string
developerId
string
scopes
string[]
status
enum<string>
Available options:
active,
revoked,
expired
issuedAt
string<date-time>
expiresAt
string<date-time>
revokedAt
string<date-time>
parentGrantId
string
delegationDepth
integer